import { init as initDebug } from './debug'
import { init as initHanziData } from './hanzi-data/init'
import { init as initTts } from './tts/init'
import { init as initWrite } from './write/init'

if (process.env.NODE_ENV === 'production') {
  void init().then(undefined, console.error)
}
addEventListener(
  'DOMContentLoaded',
  () => { void init().then(undefined, console.error) }
)

export async function init (): Promise<void> {
  await initDebug()
  await initAllComponents()
}

export async function initAllComponents (): Promise<void> {
  await initHanziData()
  initTts()
  await initWrite()
}
